#!/usr/bin/env python

from fileTransferPlugin import FileTransferPlugin
class GridftpFileTransferPlugin(FileTransferPlugin):

    COMMAND = 'globus-url-copy -v'

    def __init__(self, src=None, dest=None):
        FileTransferPlugin.__init__(self, self.COMMAND, src, dest)

    def getSrcUrl(self, filePath, dataDirectory):
        srcUrl = 'file://%s' % filePath
        return srcUrl
    
    def getDestUrl(self, storageHost, storageDirectory):
        destUrl = 'sshftp://%s:%s' % (storageHost, storageDirectory)
        return destUrl

#######################################################################
# Testing.
if __name__ == '__main__':
    ft = GridftpFileTransferPlugin('/tmp/xyz', '/tmp/xyz2')
    ft.start()
    print 'StdOut: ', ft.getStdOut()
    print 'StdErr: ', ft.getStdErr()
    print 'Exit Status: ', ft.getExitStatus()
